//
//  SBSDKUIBarcodeScannerConfiguration.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 26.08.19.
//

import Foundation
import ScanbotSDK

extension SBSDKUIBarcodeScannerConfiguration {
    convenience init(from dictionary: [String: Any]) {
        let uiConfiguration = SBSDKUIBarcodeScannerUIConfiguration(from: dictionary)
        let textConfiguration = SBSDKUIBarcodeScannerTextConfiguration(from: dictionary)
        let behaviourConfiguration = SBSDKUIBarcodeScannerBehaviorConfiguration(from: dictionary)
        let cameraConfiguration = SBSDKUICameraConfiguration(from: dictionary)
        let selectionOverlayConfiguration = SBSDKUIBarcodeSelectionOverlayConfiguration()
        self.init(uiConfiguration: uiConfiguration,
                  textConfiguration: textConfiguration,
                  behaviorConfiguration: behaviourConfiguration,
                  cameraConfiguration: cameraConfiguration,
                  selectionOverlayConfiguration: selectionOverlayConfiguration)
    }
}

extension SBSDKUIMRZScannerConfiguration {
    convenience init(from dictionary: [String: Any]) {
        let uiConfiguration = SBSDKUIMRZScannerUIConfiguration(from: dictionary)
        let textConfiguration = SBSDKUIMRZScannerTextConfiguration(from: dictionary)
        let behaviourConfiguration = SBSDKUIMRZScannerBehaviorConfiguration(from: dictionary)
        let cameraConfiguration = SBSDKUICameraConfiguration(from: dictionary)
        self.init(uiConfiguration: uiConfiguration,
                  textConfiguration: textConfiguration,
                  behaviorConfiguration: behaviourConfiguration,
                  cameraConfiguration: cameraConfiguration)
    }
}
